#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <string.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    vector<char> x, y;
    string s1, s2;
    cin >> s1;
    cin >> s2;
    int s1size = s1.size(), s2size = s2.size();
    if(s1size > s2size)
    {
        for(int i = 0; i < s1size; i++)
        {
            x.push_back(s1[i]);
            if(i < s2size) y.push_back(s2[i]);
        }
    }
    else
    {
        for(int i = 0; i < s2size; i++)
        {
            x.push_back(s2[i]);
            if(i < s1size) y.push_back(s1[i]);
        }
    }
    int k = 0, xsize = x.size(), ysize = y.size();
    while(k < xsize - ysize)
    {
        cout << x[k];
        k++;
    }
    int j = 0;
    while(k < xsize && j < ysize)
    {
        x[k] > y[j] ? cout << x[k] : x[k] == y[j] ? cout << x[k] << y[j] : cout << y[j];
        k++;
        j++;
    }
    return 0;
}